const gotInstance = require('../../utils/got');
const { CREDENTIALS_SERVICE_SERVER_ADDRESS } = require('../../utils/consts');
const getLogger = require('../../utils/logger');

const logger = getLogger();

async function getOnPremCredentials(publicId) {
    logger.debug('Getting ZAPI credentials  for onprem');
    return await gotInstance.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/zapi/onprem/${publicId}`);
}

async function getCvoCredentials(publicId) {
    logger.debug('Getting ZAPI credentials for VSA');
    return gotInstance.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/zapi/cvo/${publicId}`);
}

async function getOntapCredentials(publicId) {
    // agent doesnt know if the ONTAP is ON_PREM or CVO
    try {
        return await getOnPremCredentials(publicId);
    } catch (err) {
        logger.warn('failed to get onprem credentials trying cvo credentials', err);
        return getCvoCredentials(publicId);
    }
}

module.exports = { getOntapCredentials };
