const Compute = require('@google-cloud/compute');
const { GCP } = require('../../utils/consts');
const { setProxy } = require('../cloud-manager/config-operations');
const getLogger = require('../../utils/logger');

const logger = getLogger();
const compute = new Compute();

async function getRegions() {
    logger.info('Getting GCP regions');
    await setProxy(GCP);
    const [regions] = await compute.getRegions();

    return regions.map(region => region.metadata.name);
}

module.exports = getRegions;
