const { getCacheSize } = require('../utils/cache');
const getLogger = require('../utils/logger');

const logger = getLogger();

function canUpgradeSystem() {
    logger.info('Checking whether system can be upgraded');
    const cacheSize = getCacheSize();

    return {
        passed: cacheSize === 0,
        reason: `Server has ${cacheSize} active requests`
    };
}

module.exports = canUpgradeSystem;
