const {
    isArray, isPlainObject
} = require('lodash');

function hideSecretsHelper(object, returnObj = false) {
    if (isArray(object)) {
        object.forEach(arrayObj => hideSecretsHelper(arrayObj));
    } else if (isPlainObject(object)) {
        Object.keys(object).forEach(key => {
            if (isPlainObject(object[key])) {
                hideSecretsHelper(object[key]);
            } else if (['password', 'secretAccessKey', 'accessKeyId', 'sessionToken', 'token', 'secretkey', 'accesskey', 'storageAccountKey'].includes(key)) {
                object[key] = '******';
            }
        });
    }
    if (returnObj) {
        return object;
    }
}

module.exports = hideSecretsHelper;
