const Joi = require('@hapi/joi');

const auditRecordSchema = Joi.object().keys({
    recordId: Joi.number().required(), // X-Request-Id - number
    actionName: Joi.string().required(),
    date: Joi.number().required(),
    status: Joi.string().valid('pending', 'aborted', 'success', 'failed').required(),
    requestId: Joi.string().required(), // X-Service-Request-Id
    serviceName: Joi.string().valid('cloud-tiering').required(),
    actionParameters: Joi.string().required(),
    errorMessage: Joi.string()
});

module.exports = { auditRecordSchema };
