const nock = require('nock');
const {
    CREDENTIALS_SERVICE_SERVER_ADDRESS
} = require('../../../../src/utils/consts');
const credentialsIdentity = require('../../resources/cloud-manager/credentials-manager/aws/identity');
const configIdentity = require('../../resources/cloud-manager/config-manager/aws-identity');

const awsCredentialsScope = nock(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}`)
    .persist(true)
    .get('/credentials/aws/identity')
    .reply(() => [200, credentialsIdentity])
    .get('/config/identity')
    .reply(() => [200, configIdentity]);

module.exports = awsCredentialsScope;
