const nock = require('nock');
const {
    CREDENTIALS_SERVICE_SERVER_ADDRESS
} = require('../../../../src/utils/consts');
const configIdentity = require('../../resources/cloud-manager/config-manager/onprem-identity');
const accounts = require('../../resources/cloud-manager/credentials-manager/aws/accounts');
const account = require('../../resources/cloud-manager/credentials-manager/aws/account');
const escapeForwardSlash = require('../../utils/utils');

const onpremCredentialsScope = nock(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}`)
    .persist(true)
    .get('/credentials/aws/accounts')
    .reply(() => [200, accounts])
    .get(escapeForwardSlash('/credentials/aws/account/.+'))
    .reply(() => [200, account])
    .get('/config/identity')
    .reply(() => [200, configIdentity]);

module.exports = onpremCredentialsScope;
