const got = require('got');
const { CREDENTIALS_SERVICE_SERVER_ADDRESS } = require('../../../../src/utils/consts');
const CREDENTIALS_IDENTITY = require('../../resources/cloud-manager/credentials-manager/gcp/identity');
const CONFIG_IDENTITY = require('../../resources/cloud-manager/config-manager/gcp-identity');
require('../../scopes/cloud-manager/gcp-credentials-scope');

describe('GCP - Config manager credentials operations', () => {
    test('Getting GCP credentials identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/gcp/identity`).json();

        expect(credentialsIdentity).toEqual(CREDENTIALS_IDENTITY);
    });

    test('Getting GCP config identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/config/identity`).json();

        expect(credentialsIdentity).toEqual(CONFIG_IDENTITY);
    });
});
