const got = require('got');
const { CREDENTIALS_SERVICE_SERVER_ADDRESS } = require('../../../../src/utils/consts');
const ONPREM_IDENTITY = require('../../resources/cloud-manager/config-manager/onprem-identity.json');
const ACCOUNTS = require('../../resources/cloud-manager/credentials-manager/aws/accounts');
const ACCOUNT = require('../../resources/cloud-manager/credentials-manager/aws/account');
require('../../scopes/cloud-manager/onprem-credentials-scope');

describe('ONPREM - Config manager credentials operations', () => {
    test('Getting ONPREM AWS credentials accounts configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/aws/accounts`).json();

        expect(credentialsIdentity).toEqual(ACCOUNTS);
    });

    test('Getting ONPREM AWS credentials specific account configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/aws/account/123`).json();

        expect(credentialsIdentity).toEqual(ACCOUNT);
    });

    test('Getting ONPREM AWS config identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/config/identity`).json();

        expect(credentialsIdentity).toEqual(ONPREM_IDENTITY);
    });
});
