/* eslint-disable */
let listAllSubscriptions;
if (process.env.IS_SIMULATOR) {
    ({ listAllSubscriptions } = require('../src/operations/subscription-operations'));
} else {
    ({ listAllSubscriptions } = require('../operations/subscription-operations'));
}

async function up(db) {
    const mpSubscriptions = db.collection('mp-subscriptions');
    const allSubscriptions = await listAllSubscriptions();
    await Promise.all(allSubscriptions.map(async subscription => {
        const {
            subscriptionId, accounts, cloudProvider, subscriptionStatus: status, serviceName
        } = subscription;
        await Promise.all(accounts.map(async accountId => {
            await mpSubscriptions.insert({
                accountId, subscriptionId, status, cloudProvider: cloudProvider.toUpperCase(), serviceName
            });
        }));
    }));
}

async function down(db) {
    const mpSusbcriptions = db.collection('mp-subscriptions');
    return mpSusbcriptions.remove();
}

module.exports = { up, down };
