const Joi = require('@hapi/joi');

const auditRecordGroupSchema = Joi.object().keys({
    accountId: Joi.string().required(),
    startTime: Joi.number().required(),
    endTime: Joi.number().allow(null),
    actionName: Joi.string().required(),
    userId: Joi.string(),
    systemId: Joi.string(),
    status: Joi.string().valid('pending', 'aborted', 'success', 'failed').required(),
    requestId: Joi.string().required(), // X-Service-Request-Id
    serviceName: Joi.string().valid('cloud-tiering').required(),
    referrer: Joi.string().allow(null),
    version: Joi.string(),
    errors: Joi.array().items(Joi.string()).allow(null),
    resourceId: Joi.string().allow(null),
    resourceName: Joi.string().allow(null),
    requestData: Joi.string().allow(null),
    responseData: Joi.string().allow(null),
    principalId: Joi.string().required(),
    agentName: Joi.string().allow(null),
    agentId: Joi.string().allow(null)
});

module.exports = { auditRecordGroupSchema };
