const Joi = require('@hapi/joi');

const licenseSchema = Joi.object().keys({
    statusResp: Joi.object().keys({
        serialNumber: Joi.string().required(),
        version: Joi.string().required(),
        product: Joi.string().required(),
        licenses: Joi.object().keys({
            capacity: Joi.number().required(),
            type: Joi.string().required(),
            package: Joi.string().required()
        })
    }),
    trackingId: Joi.string().required(),
    Signature: Joi.string().required()
});

const signLicenseRequestSchema = Joi.object().keys({
    serialNumber: Joi.string().required(),
    version: Joi.string().required(),
    product: Joi.string().required(),
    licenses: Joi.object().keys({
        capacity: Joi.number().required(),
        type: Joi.string().required(),
        package: Joi.string().required()
    })
});

const sendLicenseRequestToIPASchema = Joi.object().keys({
    serialNumber: Joi.string().required(),
    version: Joi.string().required(),
    product: Joi.string().required(),
    op: Joi.string().required(),
    package: Joi.string().required(),
    source: Joi.string().required(),
    requestType: Joi.string().required().valid('register', 'Unregister', 'download'),
    HostID: Joi.string()
});

module.exports = {
    signLicenseRequestSchema,
    licenseSchema,
    sendLicenseRequestToIPASchema
};
