const { getServiceToken } = require('./auth0');
const { CHARGING_BASE_URL } = require('../utils/consts');
const chargingRequestSchema = require('../joi-schemas/charging-schemas');
const { getRequestId } = require('../utils/async-local-storage');
const { gotInstanceForOuterServices } = require('../utils/got-utils');
const { validateRequest } = require('../utils/schema-validation');

async function charge(chargingData) {
    validateRequest(chargingData, chargingRequestSchema);
    await gotInstanceForOuterServices.post(`${CHARGING_BASE_URL}`, {
        json: chargingData,
        ...{
            headers: {
                authorization: getServiceToken(),
                'X-Service-Request-Id': getRequestId()
            },
            responseType: 'text'
        }
    });
}

module.exports = charge;
