const config = require('config');
const path = require('path');
const getLogger = require('../utils/logger/logger');
const { API_ROOT, GRAPHQL_ROOT } = require('../utils/consts');

const logger = getLogger();

function reactRouterFallbackMiddleware() {
    return (req, res, next) => {
        if (req.url.startsWith(API_ROOT) || req.url.startsWith(GRAPHQL_ROOT)) {
            next();
        } else {
            logger.debug('Requested resource not found:', req.originalUrl, ' . Redirecting...');
            res.sendFile(path.resolve(`${config.get('paths.ui')}/index.html`));
        }
    };
}

module.exports = reactRouterFallbackMiddleware;
