const express = require('express');
const { resetStateForUser } = require('../../test/simulator/simulator-state');
const { getUserPortalId } = require('../utils/async-local-storage');

const simulatorRouter = express.Router();

simulatorRouter.put('/reset-simulator', async (req, res, next) => {
    try {
        const userPortalId = getUserPortalId();
        const accountId = req.headers['x-account-id'];
        resetStateForUser(userPortalId, accountId);
        res.json();
    } catch (err) {
        next(err);
    }
});

module.exports = simulatorRouter;
