const {
    isArray, isPlainObject
} = require('lodash');

function hideSecretsHelper(object) {
    if (isArray(object)) {
        object.forEach(arrayObj => hideSecretsHelper(arrayObj));
    } else if (isPlainObject(object)) {
        Object.keys(object).forEach(key => {
            if (isPlainObject(object[key])) {
                hideSecretsHelper(object[key]);
            } else if (['access_token', 'client_secret', 'accessKey', 'secretKey', 'clusterPassword', 'nssPassword', 'secretAccessKey', 'accessKeyId'].includes(key)) {
                object[key] = '******';
            }
        });
    }
}

module.exports = hideSecretsHelper;
