const calculationOperations = require('../../src/operations/calculations-operations');

describe('calculateSavingsOpportunitiesAndSavings', () => {
    test('cluster without tieredData total capacity and used capacity - savings should be 0 and saving opportunity capacity is 70% of non tiered volumes usedSize', async () => {
        const { currentSavings, savingOpportunity } = await calculationOperations.calculateSavingsOpportunitiesAndSavings(7645041786, 0, 7516192768, 'Cluster_AAA', 'ONPREM');
        expect(currentSavings.cost).toEqual(0);
        expect(savingOpportunity.cost).toEqual(33);
    });

    test('cluster with tierCapacity, usedCapacity and totalCapacity and coldCapacity', async () => {
        const { currentSavings, savingOpportunity } = await calculationOperations.calculateSavingsOpportunitiesAndSavings(7645041786, 3006477107, 3006477107, 'Cluster_AAA', 'ONPREM');
        expect(currentSavings.cost).toEqual(13);
        expect(savingOpportunity.cost).toEqual(13);
    });
});
test('cluster with tierCapacity, usedCapacity and totalCapacity and coldCapacity', async () => {
    const { currentSavings, savingOpportunity } = await calculationOperations.calculateSavingsOpportunitiesAndSavings(7645041786, 3006477107, 3006477107, 'Cluster_AAA', 'CVO');
    expect(currentSavings.cost).toEqual(undefined);
    expect(savingOpportunity.cost).toEqual(13);
});

describe('calculatePerformanceCapacity', () => {
    test('should calculate activeCapacity', () => {
        expect(calculationOperations.calculatePerformanceCapacity(4398046511104, 2199023255552, 0, true))
            .toEqual({
                inactiveCapacity: 2199023255552,
                isEstimatedInactiveCapacity: true,
                activeCapacity: 2199023255552,
                snapshotsUsedSize: 0,
                usedPerformanceCapacity: 4398046511104
            });
    });

    test('should calculate capacity if there is no coldData and no tieredData- volume', () => {
        expect(calculationOperations.calculatePerformanceCapacity(5497558138880, 0, 0, false))
            .toEqual({
                inactiveCapacity: 0,
                isEstimatedInactiveCapacity: false,
                activeCapacity: 5497558138880,
                usedPerformanceCapacity: 5497558138880,
                snapshotsUsedSize: 0
            });
    });
});
