const nock = require('nock');
const {
    JWT_TOKEN_AUTH0
} = require('../../../src/utils/consts');
const { findUserId } = require('../simulator-utils');

const auth0Scope = nock(JWT_TOKEN_AUTH0, { allowUnmocked: true })
    // get userInfo
    .get('/userinfo')
    .delay(100)
    .reply(function () {
        const userId = findUserId(this.req.headers.authorization);
        let objectToReturn;
        if (userId === 'auth0|5c88ab2ff166ee54aba352b1') {
            objectToReturn = { 'http://cloud.netapp.com/user_metadata': { email: 'ctstageuser1@test-netapp.com' } };
        } else {
            objectToReturn = { 'http://cloud.netapp.com/user_metadata': { email: userId } };
        }
        return [200, objectToReturn];
    });

auth0Scope.persist(true);
