const nock = require('nock');
const { loadScenario, loadScenrioForUser } = require('../simulator-state');
const { findUserId } = require('../simulator-utils');

const internalScope = nock('https://127.0.0.1:8888')
    .post('/simulator/change-scenario', requestBody => requestBody.scenario)
    .reply(function (uri, requestBody) {
        if (requestBody.scenario) {
            const { authorization, 'x-account-id': accountId } = this.req.headers;
            if (authorization !== '') {
                const userId = findUserId(authorization);
                loadScenrioForUser(requestBody.scenario, userId, accountId, requestBody.trial, requestBody.withNoBuckets, requestBody.accountsNumber);
            } else {
                loadScenario(requestBody.scenario);
            }
            return [200, { scenario: requestBody.scenario }];
        }
        return [404];
    });

internalScope.persist(true);

module.exports = internalScope;
