const got = require('got');
const { signJwtToken } = require('../simulator-utils');
const { reset } = require('../simulator-state');
const { CHARGING_BASE_URL } = require('../../../src/utils/consts');

require('../scopes/charging-scope');

describe('charging service scope', () => {
    beforeEach(() => reset());

    test('charging- send charging', async () => {
        const charging = [{
            subscriptionId: 'subscriptionId',
            dimension: 'Tier1',
            timestamp: new Date().toISOString(),
            accounts: [{ accountId: '1', resources: [{ val: 10, resourceId: '1' }] }]
        }];

        // create account
        const received = await got.post(`${CHARGING_BASE_URL}`, {
            json: charging,
            resolveBodyOnly: true,
            responseType: 'json',
            headers: {
                authorization: signJwtToken()
            }
        });
        expect(received).toEqual(charging);
    });
});
