const fetch = require('node-fetch');
const fs = require('fs');

const [,,Authorization] = process.argv;


const fsPromises = fs.promises;

async function main() {
    if (Authorization) {
        console.log('starting', Authorization);
        const headers = new fetch.Headers({
            'Content-Type': 'application/json',
            Authorization
        });
        try {
            const result = await fetch('http://localhost/graphql', {
                method: 'POST',
                headers,
                body: JSON.stringify({
                    variables: {},
                    query: ` {
          __schema {
          types {
            kind
            name
            possibleTypes {
              name
            }
          }
        }
      }
    `
                })
            });
            const json = await result.json();
            console.log('<<<<<<<<<<<<<<<json', json);
            const filteredData = json.data.__schema.types.filter(
                type => type.possibleTypes !== null
            );
            json.data.__schema.types = filteredData;
            await fsPromises.writeFile('./src/graphql/fragmentTypes.json', JSON.stringify(json.data));
            console.log('Fragment types successfully extracted!');
        } catch (err) {
            console.error('>>>>>>>ERROR', err);
        }
    } else {
        throw new Error('No Authorization supplied');
    }

}

main();
