import React from "react";
import {withRouter} from 'react-router-dom'
import Isvg from 'react-inlinesvg';
import Button from "./widgets/Button";

require("./oops.scss");

const Oops = ({data: {error}, history}) => {
    if (!error) {
        history.replace('/');
        return <div></div>;
    }
    else {
        const errorMessage = error.message ? error.message : error;
        return (
            <div className="oops">
                <div className="logo">
                    <img src={require('../assets/images/netapp-logo-oops.jpg')} alt=""/>
                </div>
                <div>
                    <Isvg src={require("../assets/svgs/oops.svg")}></Isvg>
                </div>
                <h1>Oops! something went wrong</h1>
                <p>Please contact Cloud Tiering support for more information about the error</p>
                <p>{errorMessage}</p>

                <div className="support">
                    <a href={`mailto:ng-cloud-tiering@netapp.com?subject=Error working with Cloud Tiering&body=Error Message: ${errorMessage}`}>Contact
                        Support</a>
                </div>
                <Button onClick={() => window.auth.logout()}>Log Out</Button>
            </div>
        )
    }
};

export default withRouter(Oops);
