import React, {useEffect} from 'react';
import SetupWizardDiagram from './SetupWizardDiagram';
import ButtonsPanelWithError from '../widgets/ButtonsPanelWithError';
import Isvg from 'react-inlinesvg';
import localStorage from '../../utils/localStorage';
import { Link } from 'react-router-dom';
import {parse} from 'query-string';
import { sendMixPanelEvent } from '../../utils/utils';
import Button from "../widgets/Button";

require('./setupCompleteStep.scss');

export default (props) => {
    const clusterId = props.match.params.clusterId;
    const clusterName = props.match.params.clusterName;
    useEffect(() => {
        localStorage.remove('selectedKeys');
    }, []);
    const search = parse(window.location.search);
    const origin = search.origin;
    return (
        <div className="setup-complete-step new-wizard-step">
            <div className="panels-container">
                <div className="left-panel">
                    <div className="setup-cluster-complete-card">
                        <div className="cluster-circle"><Isvg src={require('../../assets/svgs/bucket-circle.svg')}/></div>
                        <div className="checkmark"><Isvg src={require('../../assets/svgs/checkmark-green.svg')}/></div>
                        <div className="ready">Your cluster was set up successfully</div>
                        <div className="name-container">
                            <div className="no-wrap">{clusterName}</div>
                            <div> is ready for tier</div>
                        </div>
                    </div>
                    <div className="continue">Click Continue to select the volumes that you want to tier.</div>
                    <Link to="/clusters" onClick={()=> sendMixPanelEvent("SkipTierVolumes")}>
                        Skip and Tier Later
                    </Link>
                    <div className="wizard-button">
                        <ButtonsPanelWithError>
                            <Button styleClass="cluster-discovered-button" onClick={() => {
                                sendMixPanelEvent("ContinueTieringVolume");
                                props.history.push(`/tier-volumes/${clusterId}/${clusterName}/volumes?origin=${origin === 'autoDiscover'? origin : 'setupCluster'}`)}
                            }>CONTINUE</Button>
                        </ButtonsPanelWithError>
                    </div>
                </div>
                <SetupWizardDiagram flowStep="setup-complete"/>
            </div>
        </div>
    );
}
