import React from 'react';
import Isvg from 'react-inlinesvg';
import { PROVIDERS } from '../../../utils/consts';
import DefaultDialogLayout from "../../widgets/DefaultDialogLayout";
require("../../dialog/dialogs.scss");
require("./subscriptionFlowDialog.scss");

const FlowLine = ({title, info}) => {
    return (
        <div className="flow-line">
            {/*<div className="flow-line-icon">{icon}</div>*/}
            <div className="flow-line-content">
                <div className="flow-line-title">{title}</div>
                <div className="flow-line-info">{info}</div>
            </div>
        </div>
    )
};
export default ({closeDialog, provider}) => {
    return (
        <DefaultDialogLayout
            styleClass='subscription-flow-dialog'
            title={`${provider} Subscription Steps`}
            buttonsArr={[
                {text:'Continue',styleClass:'primary',onClick:() => {
                        window.open(PROVIDERS[provider.toUpperCase()].mpURL);
                        closeDialog();
                    }},
                {text:'Cancel',styleClass:'secondary',onClick:closeDialog}
            ]}>
            <div className="subscription-flow-content">
                <div className="numbers-line">
                    <Isvg src={require('../../../assets/svgs/123.svg')} />
                </div>
                <div className="lines-container">
                    <FlowLine title={'Cloud Tiering'} info={`Clicking Continue redirects you to the ${provider} Marketplace.`}/>
                    <FlowLine title={`${provider} Marketplace`} info={`At the ${provider} Marketplace, you should click Continue, then Subscribe, and then Set Up Your Account.`}/>
                    <FlowLine title={`${provider} Marketplace`} info='You are then redirected to "Cloud Central" where you must log in again to complete the subscription.'/>
                </div>
            </div>
            <div className="video-instructions">
                <Isvg src={require('../../../assets/svgs/triangle-circle-icon.svg')} />
                <a href={PROVIDERS[provider.toUpperCase()].subscriptionURL} target="_blank" rel="noopener noreferrer"> View Video Instructions </a>
            </div>
        </DefaultDialogLayout>
    )

};
