import React from "react";
import DefaultDialogLayout from "./DefaultDialogLayout";
import Isvg from "react-inlinesvg";

require('./addClusterDialog.scss')

const AddClusterDialog = ({closeDialog}) => {
    return (
        <DefaultDialogLayout
            styleClass='add-cluster-dialog'
            title='Add Cluster'
            buttonsArr={[
                {
                    text: 'Got it',
                    styleClass: 'primary',
                    thin: true,
                    onClick: closeDialog
                },
            ]}>
            <div className="image">
                <Isvg src={require('./../../assets/svgs/woman_yoga.svg')}/>
            </div>
            <div className="title">
                Add New Cluster
            </div>
            <div className="description">
                Go to the Working Environments tab to add a new cluster.
            </div>
        </DefaultDialogLayout>
    )

};


export default AddClusterDialog;
