import React from 'react';
import SpinnerLoader from "./SpinnerLoader";

require('./buttons.scss')

// variant: 'primary' | 'secondary'
// thin: boolean
const Button = ({children, disabled, thin, variant = 'primary', onClick, styleClass = '', loading = false}) => <button
    className={`netapp-button ${variant} ${thin ? 'thin' : ''} ${loading?'loading':''} ${styleClass}`}
    disabled={disabled}
    onClick={onClick}>{loading ? <SpinnerLoader  variant={'button-loader'}/> : children}</button>

export default Button;