import React from "react";
import LoadingBar from "./LoadingBar";
import classNames from "classnames";
import Isvg from 'react-inlinesvg';
import Button from "./Button";
require("./buttonWithError.scss");

export default (props) => {
    const {disable, children, submitting, error, attachElement, withCancel, className} = props;
    const buttonProps = Object.assign({}, props);
    delete buttonProps.disable;
    delete buttonProps.children;
    delete buttonProps.submitting;
    delete buttonProps.error;
    delete buttonProps.attachElement;
    delete buttonProps.withCancel;
    delete buttonProps.className;
    //the way to define a link inside error
    //"Cluster has only hard restricted aggregates <a href='http://docs.netapp.com/ontap-9/index.jsp?topic=%2Fcom.netapp.doc.dot-cm-psmg%2FGUID-8E421CC9-1DE1-492F-A84C-9EB1B0177807.html' target='_blank' rel='noopener noreferrer'>Click here</a>";
    return (
            <div className={classNames("button-with-error-container", {"align-right": !!withCancel, "button-group": !!withCancel})}>
                {error && <div className={classNames({"bottom-error": !withCancel, "left-error": !!withCancel}, "is-visible", "with-button")}>
                    <div className="error-wrapper">
                        <span className="error-icon"><Isvg  src={require("./../../assets/svgs/error.svg")}/></span>
                        <span className="error-text" dangerouslySetInnerHTML={{__html: error}}></span>
                    </div>
                </div>}

                {submitting && <LoadingBar className="bottom"></LoadingBar>}
                <Button disabled={submitting || disable} ref={attachElement} {...buttonProps} styleClass={classNames(className, {"float-center": !withCancel, disabled: disable})}>
                    {children ? children : ""}
                </Button>
                {withCancel && <Button variant="secondary" onClick={() => withCancel()}>Cancel</Button>}
            </div>
    )

}
