import React from 'react'
import LoadingBar from './LoadingBar'
import './buttonsPanelWithError.scss'
import NotificationWidget from "./NotificationWidget";
import {NOTIFICATION_TYPES} from "../../utils/consts";

const ButtonsPanelWithError = ({children, error, submitting}) => {
    return (
        <div className="buttonsPanelWithError">
            {error && <div className="error-wrapper">
                <NotificationWidget className="wizard-error"
                                    variant={NOTIFICATION_TYPES.ERROR}>{error}</NotificationWidget>
            </div>}
            <div className="button-area">
                {submitting && <LoadingBar className="loading"></LoadingBar>}
            {children}
            </div>
        </div>
    )

};

export default ButtonsPanelWithError;
