import React from 'react';
import ReactSlider from 'react-slider';
import Isvg from 'react-inlinesvg';
require('./cloudSlider.scss');

const renderThumb = (valueString, props, state) => {
    const value = valueString ? valueString(state.valueNow) : state.valueNow;
    return (
        <div {...props}>
            <div className="thumbs">
                <Isvg className="cloud-icon" src={require('../../assets/svgs/cloud-thumb.svg')}/>
                <Isvg src={require('../../assets/svgs/slider-thumb.svg')}/>
                <div className="thumb-value">{value}</div>
            </div>
        </div>
    );
}

const renderTrack = (props) => {
    return <div {...props}/>;
}

const CloudSlider = (props) => {
    const {valueString,updateChange, ...rest} = props;


    return (
            <ReactSlider
                className="horizontal-slider"
                thumbClassName="cloud-thumb"
                trackClassName="cloud-track"
                renderThumb={(props, state) => renderThumb(valueString, props, state)}
                renderTrack={(props) => renderTrack(props)}
                onChange={updateChange}
                onSliderClick={updateChange}
                {...rest}
            />);
}

export default CloudSlider
