import React from 'react';
import Isvg from "react-inlinesvg";
import Button from "./Button";

require('./defaultDialogLayout.scss')

const DefaultDialogLayout = ({title, buttonsArr, styleClass = '', children, errorMessage = null}) => {
    return <div className={`default-dialog-layout ${styleClass}`}>
        <h4 className="header">{title}</h4>
        <div className="dialog-content">{children}</div>
        <div className="dialog-footer">
            {errorMessage && <div className="error-message">
                <div className="error-icon"><Isvg src={require('../../assets/svgs/x-circle-icon.svg')}/></div>
                <div className="error-text">{errorMessage}</div>
            </div>}
            <div className="buttons-container">
                {buttonsArr?.map(({text, styleClass, ...rest}) => <Button key={text}
                                                                          styleClass={`dialog-button ${styleClass}`} {...rest}>{text}</Button>)}
            </div>
        </div>
    </div>
}
export default DefaultDialogLayout