import React, {useState, useEffect} from 'react'
import Isvg from 'react-inlinesvg'
import classNames from 'classnames'
import _ from 'lodash'
require('./switchOnOff.scss');

const SwitchOnOff = ({onByDefault, updateState, disabled}) => {
    const [on, setOn] = useState(true);
    useEffect(() => {
        setOn(onByDefault)
    }, [onByDefault]);

    const switchClicked = () => {
        const newState = !on;
        updateState(newState);
        setOn(newState);
    };

    return (
        <div className={classNames('switch-on-of', {disabled})} onClick={disabled ? _.noop : switchClicked}>
            {on && !disabled && <Isvg src={require('../../assets/svgs/switch-on.svg')}/>}
            {on && disabled && <Isvg src={require('../../assets/svgs/switch-on-disabled.svg')}/>}
            {!on && <Isvg src={require('../../assets/svgs/switch-off.svg')}/>}
        </div>
    )
};

export default SwitchOnOff;
