import React from 'react';
import DefaultDialogLayout from "../widgets/DefaultDialogLayout";
require ("./closeWizardDialog.scss");

const getTitle = (currentStepName) => {
    switch(currentStepName) {
        case "Tiering Setup" : return "Exit Tiering Setup Wizard";
        case "Tier Volumes" : return "Exit Tier Volumes Wizard";
        default : return "Exit Wizard";
    }
};

const getContent = (currentStepName) => {
    switch(currentStepName) {
        case "Tiering Setup" : return <div>Are you sure that you want to exit the Tiering Setup wizard?<br/>You won’t be able to tier data unless you finish the setup.</div>;
        case "Tier Volumes" : return <div>Are you sure that you want to exit the Tier Volumes wizard?<br/>Your volumes won't be tiered until you complete the wizard.</div>;
        default: return <div>Are you sure you want to exit the wizard?<br/>All your changes will be discarded</div>;
    }
};

export default ({closeDialog, discardWizard, cameFrom, currentStepName}) => {
    return (<DefaultDialogLayout
        styleClass='close-wizard-dialog'
        title={getTitle(currentStepName)}
        buttonsArr={[
            {text:'Exit Wizard', styleClass:'cancel-new-wizard', onClick: () => {discardWizard(cameFrom);closeDialog()}},
            {text:'Cancel', variant:'secondary', onClick: closeDialog}
        ]}
    >{getContent(currentStepName)}</DefaultDialogLayout>)

};
