import {ADD_NOTIFICATION, REMOVE_NOTIFICATION} from "../actions";
import {v4 as uuidv4} from "uuid";

export const addNotification = dispatch => ({variant, text, removable}) => {
    const id = uuidv4();
    dispatch({
        type: ADD_NOTIFICATION,
        payload: {
            id,
            text,
            variant,
        }
    })
    if (!removable) {
        setTimeout(() => dispatch({
            type: REMOVE_NOTIFICATION,
            payload: {id}
        }), 5000)
    }
}

export const removeNotification = dispatch => ({id}) => {
    dispatch({
        type: REMOVE_NOTIFICATION,
        payload: {
            id,
        }
    })
}



