import {gql} from '@apollo/client';

export const CLUSTER_LICENSE_INFO_FRAGMENT = gql`
    fragment  clusterLicenseInfo on ClusterLicenseInfo {
        shouldEnforce
        byolCapacity
        currentCapacity
        freeTrialStatus
        subscriptionStatus
        hasBYOL
        provider
    }
`;
export const LICENSE_INFO_FRAGMENT = gql`
    fragment licenseInfoFields on LicenseInfo {
        daysLeftForTrial
        subscriptions {
            status,
            provider
        }
    }
`;

export const VOLUME_FRAGMENT = gql`
    fragment volumeFields on Volume {
        name
        svmName
        aggregateName
        capacity
        usedPerformanceAndTieredCapacity
        inactiveCapacity
        inactiveCapacityPercent
        tieredCapacity
        tieringPolicy
        minimumCoolingDays
        isEligibleForTiering
        tieringRestrictionReason
        isEstimatedInactiveCapacity
        isTiered
        supportedSettings {
            tieringPolicy
            minimumCoolingDays
            noMinimumCoolingDaysReason
        },
        state
    }
`;

export const AGGREGATE_FRAGMENT = gql`
    fragment aggregateFields on Aggregate {
        name
        capacity
        usedPerformanceCapacity
        inactiveCapacity
        inactiveCapacityPercent
        isEligibleForTiering
        tieringRestrictionReason
        tieredCapacity
        idr
        tieringFullnessThreshold
        supportedSettings {
            idr
            noIdrReason
            idrState
            tieringFullnessThreshold
            noTieringFullnessThreshold
            tieringFullnessThresholdState
        }
        isEstimatedInactiveCapacity
    }
`;

export const CLUSTER_FRAGMENT = gql`
    fragment clusterFields on Cluster {
        agentId
        agentSystemId
        clusterId
        agentCloudProvider
        name
        isEligibleForTiering
        isEligibleForTieringReason
        resourceType
        ontapClusterProperties {
            ontapVersion
            clusterAddress,
            clusterUuid
        }
        status {
            status
            message
        }
        capacityInformation {
            usedPerformanceAndTieredCapacity
            allocatedCapacity
            performanceCapacity{
                inactiveCapacity
                activeCapacity
                isEstimatedInactiveCapacity
                usedPerformanceCapacity
            }
            savingOpportunity {
                cost
                capacity
            }
        }
        tierInformation {
            bucketName
            providerType
            objectStoreName
            regionName
            tierLevel
            currentSavings {
                cost
                capacity
            }
        }
        volumes {
            tieredVolumes
            eligibleVolumes
            totalVolumes
            supportedPolicies {
                name,
                count,
                savingOpportunity {
                    cost
                    capacity
                }
                isEstimated
                supported {
                    isSupported,
                    reason
                }
            }
        }
        licenseInfo {
            ...clusterLicenseInfo
        }
    }${CLUSTER_LICENSE_INFO_FRAGMENT}`;
