import { STATUS_SUCCESS, STATUS_ERROR, STATUS_PROGRESS, AUTH_REFRESH_SSO_SUCCESS, AUTH_REFRESH_SSO_FAILED } from "../actions";
import _ from 'lodash';
import { bootGoogleAnalytics, bootMixPanel } from '../utils/utils';

const defaultState = () => ({status: STATUS_PROGRESS});

export default (state = defaultState(), {payload, type}) => {
    switch (type){
        case AUTH_REFRESH_SSO_SUCCESS: {
            const fullName = payload.idTokenPayload["http://cloud.netapp.com/user_metadata"].name;
            const email = _.get(payload, ["idTokenPayload", "http://cloud.netapp.com/user_metadata", "email"]);
            const company = _.get(payload, ["idTokenPayload", "http://cloud.netapp.com/user_metadata", "company"]);
            const scopeArr = (payload.scope || "").split(" ");
            const userId = _.get(payload, "idTokenPayload.sub");
            if (process.env.REACT_APP_GOOGLE_ANALYTICS === "true") {
                bootGoogleAnalytics();
            }
            if (process.env.REACT_APP_MIXPANEL === "true") {
                bootMixPanel(userId, email, company);
            }
            return { status: STATUS_SUCCESS, userId, accessToken: payload.accessToken, authenticated: true, data: payload.idTokenPayload, fullName, scopes: _.zipObject(scopeArr, _.map(scopeArr, () => true)), email, company} ;
        }
        case AUTH_REFRESH_SSO_FAILED: {
            return { status: STATUS_ERROR, authenticated: false, error: payload};
        }
        default: return state;
    }
};
