import Immutable from "seamless-immutable";
import moment from "moment";
import { CLEAR_ERRORS, GENERAL_ERROR, REMOVE_ERROR} from "../actions";


export const defaultState = () => Immutable({
    generalErrors: {}
});

export default (state = defaultState(), {payload, type, code}) => {
    switch(type) {
        case GENERAL_ERROR: {
            const errorTime = moment();
            const error = {
                id: code,
                message: payload,
                time: errorTime
            };
            return state.updateIn(["generalErrors"], errorsMap => errorsMap.set(code, error));
        }
        case REMOVE_ERROR: {
            return state.updateIn(["generalErrors"], errors => errors.without(payload));
        }
        case CLEAR_ERRORS: {
            return state.setIn(["generalErrors"], {})
        }
        default:
            return state;
     }
};
