import { WIZARD_START_WIZARD, WIZARD_STEP_ENTERED, WIZARD_STEP_EXITED, WIZARD_UPDATE_SELECTED_PARAM } from '../actions';
import Immutable from 'seamless-immutable';

export const defaultState = () => Immutable({
    wizard: null
});

const updateCurrentStep = (state) => {
    const identifyCurrentStep = (stepNames, steps) => {
        return stepNames.find((stepName, index) => {
            return index+2 > stepNames.length || !steps[stepNames[index+1]]
        })
    };
    const identifiedStep = identifyCurrentStep(state.wizard.stepNames, state.wizard.steps);
    // console.log(`%c@@@@@@@@@@@@@@@@@@@@@@@\n stepNames: ${state.wizard.stepNames}\nsteps:${JSON.stringify(state.wizard.steps)}\nidentifiedStep: ${identifiedStep}\n@@@@@@@@@@@@@@@@@@@@@@@@`, "font-weight:bold;color:green");
    return state.update("wizard", wizard => wizard.set("currentStep", identifiedStep));
};



export default (state = defaultState(), {payload, type}) => {
    switch (type){
        case WIZARD_START_WIZARD: {
            payload.tier = {};
            return state.set("wizard", payload);
        }
        case WIZARD_STEP_ENTERED: {
            return payload ? updateCurrentStep(state.updateIn(["wizard", "steps"], steps => (steps || Immutable({})).set(payload, {started: true}))) : state;
        }
        case WIZARD_STEP_EXITED: {
            return payload ? updateCurrentStep(state.updateIn(["wizard", "steps"], steps => steps.without(payload))) : state;
        }
        case WIZARD_UPDATE_SELECTED_PARAM: {
            return state.setIn(['wizard','updatedSelectedWizardParams'], payload.selectedParams);
        }
        default: return state;
    }
};
