import {createStore, applyMiddleware} from 'redux';
import {routerMiddleware} from 'connected-react-router';
import {createBrowserHistory} from 'history';
import createReducer from './reducers/index';
import {createLogger} from 'redux-logger';
import authMiddlware from './auth/authMiddleware'


export const history = createBrowserHistory();
const router = routerMiddleware(history);
const logger = createLogger();
const initialState = {};
const reducer = createReducer(history);

export const store = createStore(
    reducer,
    initialState,
    applyMiddleware(authMiddlware, router, logger)
);




